//////////////////////////////////////////////////////////////////////////////
//
//                     (C) TBS 2011
//  All rights are reserved. Reproduction in whole or in part is prohibited
//  without the written consent of the copyright owner.
//
//  TBS reserves the right to make changes without notice at any time.
//  TBS makes no warranty, expressed, implied or statutory, including but
//  not limited to any implied warranty of merchantability or fitness for any
//  particular purpose, or that the use will not infringe any third party
//  patent, copyright or trademark. TBS must not be liable for any loss
//  or damage arising from its use.
//
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//
// Modification History:
//
//  Date               By                  Description
//  -------          ------          ---------------------------------------------------------
// 10-10-2011    steven@tbsdtv.com       version:1.0.0.0  	TBS SDK created
// 11-12-2011    steven@tbsdtv.com       version:2.0.0.1  	update new inerface
//
//////////////////////////////////////////////////////////////////////////////

#pragma once

enum TbsDeviceType
{
///////////////////////////
//PCI/PCI-E
	TBS6920 = 10,
	TBS6921,
	TBS6922,
	TBS6980A,
	TBS6980B,
	TBS6981A,
	TBS6981B,
	TBS6925,
	TBS6984A,
	TBS6984B,
	TBS6984C,
	TBS6984D,
	TBS6992A,
	TBS6992B,
	TBS6928,
	TBS8920,
	TBS8921,
	TBS8922,
///////////////////////////
//USB	
	TBSQBOX,
	TBSQBOX2,
	TBSQBOX3,
	TBS5922,
	TBS5980,
	TBS5925
	
};


//////////////////////////////////////////////////////////////////////////
///////////////////////////
//PCI-E
//#define  TBS6920_VERSION
//#define  TBS6921_VERSION
//#define  TBS6922_VERSION

//#define  TBS6980A_VERSION
//#define  TBS6980B_VERSION

//#define  TBS6981A_VERSION
//#define  TBS6981B_VERSION

#define  TBS6925_VERSION

//#define  TBS6984A_VERSION
//#define  TBS6984B_VERSION
//#define  TBS6984C_VERSION
//#define  TBS6984D_VERSION

//#define  TBS6992A_VERSION
//#define  TBS6992B_VERSION

//#define  TBS6928_VERSION

//#define  TBS8920_VERSION
//#define  TBS8921_VERSION
//#define  TBS8922_VERSION

///////////////////////////
//USB
//#define  TBSQBOX_VERSION
//#define  TBSQBOX2_VERSION
//#define  TBSQBOX3_VERSION
//#define  TBS5980_VERSION
//#define  TBS5922_VERSION
//#define  TBS5925_VERSION





//////////////////////////////////////////////////////////////////////////
///////////////////////////
//PCI-E
#ifdef TBS6920_VERSION
static WCHAR *TunerName = L"TBS 6920 BDA DVBS/S2 Tuner/Demod";
static WCHAR *CaptuerName = L"TBS 6920 DVBS/S2 AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 6920 Video Capture";
#endif

#ifdef TBS6921_VERSION
static WCHAR *TunerName = L"TBS 6921 BDA DVBS/S2 Tuner/Demod";
static WCHAR *CaptuerName = L"TBS 6921 DVBS/S2 AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 6921 Video Capture";

#endif

#ifdef TBS6922_VERSION
static WCHAR *TunerName = L"TBS 6922 DVBS/S2 Tuner";
static WCHAR *CaptuerName = L"TBS 6922 BDA Digital Capture DVBS";
#endif

#ifdef TBS6980A_VERSION
static WCHAR *TunerName = L"TBS 6980 BDA DVBS/S2 A Tuner/Demod";
static WCHAR *CaptuerName = L"TBS 6980 DVBS/S2 A AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 6980 Video Capture";
#endif

#ifdef TBS6980B_VERSION
static WCHAR *TunerName = L"TBS 6980 BDA DVBS/S2 B Tuner/Demod";
static WCHAR *CaptuerName = L"TBS 6980 DVBS/S2 B AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 6980 Video Capture";
#endif

#ifdef TBS6981A_VERSION
static WCHAR *TunerName = L"TBS 6981 BDA DVBS/S2 A Tuner/Demod";
static WCHAR *CaptuerName = L"TBS 6981 DVBS/S2 A AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 6981 Video Capture";
#endif

#ifdef TBS6981B_VERSION
static WCHAR *TunerName = L"TBS 6981 BDA DVBS/S2 B Tuner/Demod";
static WCHAR *CaptuerName = L"TBS 6981 DVBS/S2 B AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 6981 Video Capture";
#endif

#ifdef TBS6925_VERSION
static WCHAR *TunerName = L"TBS 6925 DVBS/S2 Tuner";
static WCHAR *CaptuerName = L"TBS 6925 BDA Digital Capture DVBS";
#endif

#ifdef TBS6984A_VERSION
static WCHAR *TunerName = L"TBS 6984 Quad DVBS/S2 Tuner A";
static WCHAR *CaptuerName = L"TBS 6984 Quad BDA Digital Capture DVBS";
#endif

#ifdef TBS6984B_VERSION
static WCHAR *TunerName = L"TBS 6984 Quad DVBS/S2 Tuner B";
static WCHAR *CaptuerName = L"TBS 6984 Quad BDA Digital Capture DVBS";
#endif

#ifdef TBS6984C_VERSION
static WCHAR *TunerName = L"TBS 6984 Quad DVBS/S2 Tuner C";
static WCHAR *CaptuerName = L"TBS 6984 Quad BDA Digital Capture DVBS";
#endif

#ifdef TBS6984D_VERSION
static WCHAR *TunerName = L"TBS 6984 Quad DVBS/S2 Tuner D";
static WCHAR *CaptuerName = L"TBS 6984 Quad BDA Digital Capture DVBS";
#endif

#ifdef TBS6992A_VERSION
static WCHAR *TunerName = L"TBS 6992 DVBS/S2 Tuner A";
static WCHAR *CaptuerName = L"TBS 6992 BDA Digital Capture DVBS";
#endif

#ifdef TBS6992B_VERSION
static WCHAR *TunerName = L"TBS 6992 DVBS/S2 Tuner B";
static WCHAR *CaptuerName = L"TBS 6992 BDA Digital Capture DVBS";
#endif

#ifdef TBS6928_VERSION
static WCHAR *TunerName = L"TBS 6928 DVBS/S2 Tuner";
static WCHAR *CaptuerName = L"TBS 6928 BDA Digital Capture DVBS";
#endif

///////////////////////////
//PCI
#ifdef TBS8920_VERSION
static WCHAR *TunerName = L"TBS 8920 BDA Tuner/Demod";
static WCHAR *CaptuerName = L"TBS 8920 AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 8920 Video Capture";
#endif

#ifdef TBS8921_VERSION
static WCHAR *TunerName = L"TBS 8921 BDA Tuner/Demod";
static WCHAR *CaptuerName = L"TBS 8921 AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 8921 Video Capture";
#endif


#ifdef TBS8922_VERSION
static WCHAR *TunerName = L"TBS 8922 DVBS/S2 Tuner";
static WCHAR *CaptuerName = L"TBS 8922 AVStream TS Capture";
static WCHAR *IRFileName = L"TBS 8922 Video Capture";
#endif



///////////////////////////
//USB
#ifdef TBSQBOX_VERSION
static WCHAR *TunerName = L"QBOX DVBS Tuner";
static WCHAR *CaptuerName = L"QBOX DVBS Capture";
#endif

#ifdef TBSQBOX2_VERSION
static WCHAR *TunerName = L"TBS QBOX DVB-S2 Tuner";
static WCHAR *CaptuerName = L"TBS QBOX DVB-S2 Capture";
#endif

#ifdef TBSQBOX3_VERSION
static WCHAR *TunerName = L"TBS QBOX3 DVB-S2 Tuner";
static WCHAR *CaptuerName = L"TBS QBOX3 DVB-S2 Capture";
#endif

#ifdef TBS5922_VERSION
static WCHAR *TunerName = L"TBS 5922 USB DVB-S2 Tuner";
static WCHAR *CaptuerName = L"TBS 5922 USB DVB-S2 Capture";
#endif

#ifdef TBS5980_VERSION
static WCHAR *TunerName = L"TBS 5980 CI Tunerr";
static WCHAR *CaptuerName = L"TBS 5980 CI Capture";
#endif

